@component('panel.layouts.component', ['title' => 'ویژگی ها'])
    @slot('style')

    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ویژگی ها </h1>
        <p>لیست ویژگی های تعریف شده برای مدیریت سطوح دسترسی.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item">ویژگی ها</li>
    @endslot
    @slot('content')
        <div class="row">
            <div class="col-md-12">
                <div class="col-md-11 message">
                </div>
                @component('components.collapse-card' , ['title' => ' ویژگی های محصولات'])
                    @slot('body')
                        @component('product::components.message')
                        @endcomponent
                        <div class="mt-4">
                            <a href="{{ route('attributes.create') }}" type="button" class="btn btn-primary"><i
                                    class="fa fa-plus"></i> ایجاد ویژگی</a>
                            <a href="{{ route('products.create') }}" type="button" class="btn btn-primary"><i
                                    class="fa fa-plus"></i> ایجاد محصول</a>
                        </div>

                        @component('components.table')
                            @slot('thead')
                                <tr>
                                    <th>شماره </th>
                                    <th>نام ویژگی</th>
                                    <th>key</th>
                                    <th>استفاده در محصول متغییر</th>
                                    <th> مدیریت</th>
                                </tr>
                            @endslot
                            @slot('tbody')

                                @forelse ($attributes as $attribute)
                                    <tr>
                                        <td>{{$attribute->id}}</td>
                                        <td>{{$attribute->title}}</td>
                                        <td>{{$attribute->key}}</td>
                                        <td>{{$attribute->use_in_veriation}}</td>
                                        <td class="d-flex">
                                            <a href="{{route('attributes.edit', $attribute->id)}}"
                                               class="btn btn-sm btn-primary mr-2"><i class="icon fa fa-pencil"></i></a>
                                            <form action="{{route('attributes.destroy', $attribute->id)}}" method="POST" onsubmit="return confirm('آیا مطمئن هستید؟');">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger"><i class="icon fa fa-close"></i></button>
                                            </form>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="5" class="text-center">موردی برای نمایش وجود ندارد.</td>
                                    </tr>
                                @endforelse
                            @endslot
                        @endcomponent
                        {{--Paginate section--}}

                    @endslot
                @endcomponent
            </div>
        </div>
    @endslot
    @slot('script')
    @endslot
@endcomponent

