<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="rtl">
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ __('تایید رمز عبور') }}</title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ mix('css/panel.css') }}" rel="stylesheet">

</head>
<body>

<div id="app">
    <section class="material-half-bg">
        <div class="cover"></div>
    </section>
    <section class="lockscreen-content">
        <div class="logo">
            <h1>Laravel</h1>
        </div>
        <div class="lock-box">
            <img class="rounded-circle user-image" src="https://s3.amazonaws.com/uifaces/faces/twitter/jsa/128.jpg">
            <h4 class="text-center user-name">{{ auth()->user()->name }}</h4>
            <p class="text-center text-muted">{{ __('لطفا قبل از ادامه، رمز عبور خود را تایید نمایید.') }}</p>
            <form method="POST" action="{{ route('password.confirm') }}">
                @csrf
                <div class="form-group">
                    <label for="password">{{ __('رمز عبور') }}</label>
                    <input id="password" type="password" class="form-control @error('password') is-invalid @enderror"
                           name="password" required autocomplete="current-password">

                    @error('password')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="form-group btn-container">
                    <button type="submit" class="btn btn-primary btn-block">
                        {{ __('تایید رمز عبور') }}
                    </button>

                    @if (Route::has('password.request'))
                        <a class="btn btn-link" href="{{ route('password.request') }}">
                            {{ __('رمز عبور خود را فراموش کرده‌ام') }}
                        </a>
                    @endif

                </div>
            </form>
        </div>
    </section>
</div>

<!-- Scripts -->
<script src="{{ mix('js/panel.js') }}"></script>

</body>
</html>
