<?php

use Illuminate\Support\Facades\Route;
Route::group(['prefix' => 'laravel-filemanager', 'middleware' => ['web', 'auth']], function () {
    \UniSharp\LaravelFilemanager\Lfm::routes();
});

Route::get('/', 'PanelController@index')->name('panel');

Route::namespace('Authorization')->group(function () {

    Route::resource('/permissions', 'PermissionsController')
        ->except(['show']);

    Route::resource('/roles', 'RolesController')
        ->except(['show']);

    Route::resource('/roles-assignment', 'RolesAssignmentController')
        ->only(['index', 'edit', 'update']);

});

Route::resource('/account', 'Account\AccountController')
    ->only( 'edit', 'update');

//categories *****

Route::resource('/categories', 'Categories\CategoryController');


